From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 18 November 2005<P>

This thing is fun. I got this:<BR>
S.T.A.R.D.A.V.I.D.: Sexy Tantalizing Angel Readily Delivering Arousing Vibrations and Intense Delights!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 18 November 2005<P>

Nice issue for Thanksgiving Kirk. Thank you for choosing my poem. <BR>
<BR>
I did your cute little site and B.K. came up<BR>
<BR>
"Babe of Kisses"  (I was just thinking about all those kissing poems I've written. ha)<BR>
<BR>
Congratulations to all the front pagers. Ya'll have a Happy Thanksgiving (Don't stuff the turkey too tight ha) and keep up the great words.<BR>
<BR>
PS. I just got a message on my machine from Rens. She sounds wonderful and it will be fun to catch up with her again. <BR>
<BR>
bk
<HR>